import React, {Component} from 'react';
import {WithTab} from '@/HOCs'
import './index.scss';
import {api} from "@/utils";

class Classify extends Component {
    constructor(props) {
        super(props)
        this.state = {
            camp: [],
            employment: [],
            basics: [],
            advanced: [],
            special: []
        }
    }

    componentDidMount() {
        let data = 1
        api.get(`/m/course/classify/${data}`,).then((res) => {
            if (res.data.code === 200) {
                if(res.data.data.special.length > 0){
                    this.setState({
                        basics: res.data.data.common[0],
                        advanced: res.data.data.common[1],
                    })
                }
                if(res.data.data.common.length > 0){
                    this.setState({
                        basics: res.data.data.common[0],
                        advanced: res.data.data.common[1],
                    })
                }

            }
        })
    }

    render() {
        return (
            <div className='class-box'>
                <div className="class-title">分类</div>
                <ClassCourseBox data={this.state.camp.list} title={this.state.camp.name} type={1}/>
                <ClassCourseBox data={this.state.employment.list} title={this.state.employment.name} type={1}/>
                <ClassCourseBox data={this.state.basics.list} title={this.state.basics.name} type={2}/>
                <ClassCourseBox data={this.state.advanced.list} title={this.state.advanced.name} type={2}/>
                <div className="vip">
                    {this.state.special.list && this.state.special.list.length > 0 && this.state.special.list.map((item,index)=>{
                        return(
                            <a key={index} href={item.course_img}>
                                <img src={item.course_img} alt=""/>
                            </a>
                        )
                    })

                    }
                </div>
            </div>
        )
    }
}

function ClassCourseA({data}) {
    return (
        <div className='items-box'>
            {
                data && data.length > 0 && data.map((item, index) => {
                    return (
                        <a href={item.course_id} key={index} className='item-banner'><img src={item.course_img} alt=""/></a>
                    )
                })
            }
        </div>
    )
}

function ClassCourseB({data}) {
    return (
        <div className='items-box'>
            {
                data && data.length > 0 && data.map((item, index) => {
                    return (
                        <a href={item.c_id} key={index} className='item-label'>{item.c_name}</a>
                    )
                })
            }
        </div>
    )
}

function ClassCourseBox({data, title, type}) {
    return (
        <div className="class-course">
            <p className='course-items-title'>
                <img src={require('./image/tips.png')} alt=""/>
                {title}
            </p>
            {type === 1 &&
            <ClassCourseA data={data}/>
            }
            {type === 2 &&
            <ClassCourseB data={data}/>
            }
        </div>
    )
}

export default WithTab(Classify);
